## nettle 2.1

=== debian/changelog ===
nettle (2.1-2) unstable; urgency=low

  * Upload to unstable.
  * Increase Debhelper compat level to 7.
  * debian/rules: Add build-indep and build-arch targets.
  * debian/copyright: Add entry for dsa2sexp.c.
  * No longer suggest lsh-utils-doc as an alternative to lsh-doc.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 20 Mar 2011 01:48:24 +0100

nettle (2.1-1) experimental; urgency=low

  * New upstream release (Closes: #594386). Thanks to Sedat Dilek for
    sorting things out.
    - Drop rsa2sexp_algorithm_name.dpatch, 20_link_with_gmp.dpatch;
      incorporated upstream.
    - The SOVERSIONs of libnettle and libhogweed have changed to 4 and 2,
      respectively; update and rename debian/control, debian/libnettle3.*,
      debian/libhogweed1.*, and debian/nettle-bin.links accordingly.
  * Build-depend on the new libgmp10-dev instead of libgmp3-dev.
  * Convert to source package format 3.0 (quilt), using
    dh_autotools-dev_*config to update config.sub and config.guess files.
  * Handle the parallel DEB_BUILD_OPTIONS option.
  * Pass --libdir=/usr/lib to ./configure since it will otherwise try to
    be smart and pick /usr/lib32 or /usr/lib64 on certain platforms.
  * General tidying of debian/rules: 
    - Remove handling of noopt option (dpkg-buildpackage sets CFLAGS).
    - Remove remnants of nostrip option handling.
    - Only pass --host to ./configure if HOST != BUILD, as is recommended.
    - Remove redundant compiler and configure flags.
  * Bump Standards-Version to 3.9.1.

 -- Magnus Holmgren <holmgren@debian.org>  Tue, 18 Jan 2011 23:44:49 +0100

nettle (2.0-2) unstable; urgency=low

  * rsa2sexp_algorithm_name.dpatch (new): Use a default algorithm name
    that LSH understands in the sexp representation of an RSA key, so that
    pkcs1-conv can be used to convert existing OpenSSH private keys.
  * debian/control: Add ${misc:Depends} to all packages lacking it.
  * debian/control: nettle-dev: Depend on dpkg (>= 1.15.4) | install-info
    as recommended for the transition to triggerized install-info.
  * Upgraded to Standards-Version 3.8.3 with the previous change.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 11 Oct 2009 23:27:07 +0200

nettle (2.0-1) unstable; urgency=low

  * Merge with experimental branch.
    - There was no lsh-utils 2.0.3-2 in Debian, so the conflict is with
      lsh-utils < 2.0.4-dfsg-1.
    - Drop the transitional libnettle-dev package that was in experimental. 
      Due to the split, depending packages will need sourceful uploads anyway.
  * New upstream version.
    - Drop 30_sparc_aes_include.dpatch; incorporated upstream.
  * Add debug package.
  * nettle-dev.doc-info: Correct Section and Document.
  * Bump Standards-Version to 3.8.2.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 02 Aug 2009 17:20:28 +0200

nettle (1.16~cvs20070603-2) experimental; urgency=low

  * 30_sparc_aes_include.dpatch: Patch from upstream CVS, fixes FTBFS on
    sparc (Closes: #441265).
  * debian/rules: Check for Makefile instead of ignoring all `make
    distclean' errors.

 -- Magnus Holmgren <magnus@kibibyte.se>  Sat, 08 Sep 2007 19:58:29 +0200

nettle (1.16~cvs20070603-1) experimental; urgency=low

  * Upstream CVS snapshot splitting off public-key algorithms as
    libhogweed1.
    - Drop 10_cleanup.dpatch; incorporated upstream.
    - Rename libnettle-dev as nettle-dev.
  * No longer install sexp-conv as an alternative; conflict with lsh-utils
    (<< 2.0.3-2, which is anticipated to stop shipping an identical
    sexp-conv and depend on nettle-bin instead).
  * Link with --as-needed to avoid unnecessary NEEDED tags.

 -- Magnus Holmgren <magnus@kibibyte.se>  Mon, 11 Jun 2007 17:36:08 +0200
  

nettle (1.15-6) unstable; urgency=low

  * No longer install sexp-conv as an alternative; conflict with lsh-utils
    prior to 2.0.4-dfsg-1, which depends on nettle-bin instead of shipping
    a copy of sexp-conv (Closes: #510942). Drop nettle-bin.postinst and
    nettle-bin.prerm (nettle-bin.prerm will remove the alternative on
    upgrade, which is actually a bug, but works out fine in this case).
  * Switch to Debhelper level 5. Remove files that don't exist from install
    lists (copied from a template, apparently).
  * Upgrade to Standards-Version 3.8.1:
    + Add debian/README.source (§ 4.9).
  * Add debian/libnettle2.symbols.

 -- Magnus Holmgren <holmgren@debian.org>  Mon, 13 Apr 2009 22:52:44 +0200

nettle (1.15-5) unstable; urgency=low

  * New maintainer email address.
  * Bring debian/control format up-to-date with Homepage and Vcs fields.
  * Add machine-readable copyright information to debian/copyright and
    clarify licensing of nettle-lfib-stream.1 and pkcs1-conv.1. The
    machine-readable information may not be completely accurate at this
    point due to the many different authors and licenses.
  * Don't ignore make potential distclean errors.
  * debian/libnettle-dev.doc-base: Change section to Programming/C
    following the abolishion of the Apps section.
  * Bump Standards-Version to 3.7.3 without any changes.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 20 Apr 2008 00:40:55 +0200

nettle (1.15-4) unstable; urgency=low

  * Add manpage for nettle-lfib-stream(1) (Closes: #413293).
  * Add manpage for pkcs1-conv(1) (Closes: #413294).
  * Correct manpage for sexp-conv(1).

 -- Magnus Holmgren <magnus@kibibyte.se>  Mon, 11 Jun 2007 13:37:53 +0200

nettle (1.15-3) unstable; urgency=low

  * Use dh_install instead of dh_movefiles.
  * Run "make check" by default.
  * Ship nettle.pdf in libnettle-dev.
  * Include PDF and Info formats in doc-base control file.
  * Clean up the libnettle-dev examples directory. There should only be
    source files. Note that most of the examples aren't made to be
    compiled outside of the nettle source tree, except sha-example.c,
    which is the example found in the documentation.
  * Move descore.README and TODO from libnettle2.docs to
    libnettle-dev.docs, and also add README and NEWS to the latter.

