## nettle 2.4

=== debian/changelog ===
nettle (2.4-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 03 Sep 2011 17:59:01 +0200

nettle (2.3-1) unstable; urgency=low

  * New upstream release.
  * nettle-dev.install: Include pkg-config files added by upstream.
  * debian/copyright: Add ripemd160-related files.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 03 Sep 2011 00:48:54 +0200

nettle (2.2-1) unstable; urgency=low

  * New upstream release (Closes: #633574).
    - The function nettle_arcfour_stream() was dropped without changing
      the SONAME, because it was undocumented and untested and should not
      be in use.
  * Add symbols files and correct dependencies in shlibs files.
  * Update copyright information, in particular regarding blowfish and
    serpent, trying to follow DEP5.
  * Add manpage nettle-hash(1) and mention nettle-hash in description of
    nettle-bin.
  * Add multi-arch support.
  * Bump Standards-Version to 3.9.2.
  * Switch to Debhelper compat level 8.
  * nettle-bin: Change Conflicts from moving sexp-conv into
    Breaks+Replaces and drop long-obsolete conflict with libnettle1.
  * Improve libnettle and libhogweed package descriptions, explaining the
    difference between them.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 06 Aug 2011 19:13:56 +0200
