=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Section: libs
 Priority: optional
 Maintainer: Magnus Holmgren <holmgren@debian.org>
-Build-Depends: debhelper (>= 7), libgmp10-dev, m4, autotools-dev (>= 20100122.1)
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 8.1.3), libgmp10-dev, m4, autotools-dev (>= 20100122.1)
+Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.kibibyte.se/nettle/trunk
 Vcs-Browser: http://svn.kibibyte.se/nettle
 Homepage: http://www.lysator.liu.se/~nisse/nettle/
 
 Package: libnettle4
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: low level cryptographic library (symmetric and one-way cryptos)
  Nettle is a cryptographic library that is designed to fit easily in more or
@@ -23,10 +25,15 @@
  doesn't do any memory allocation or I/O, it simply provides the
  cryptographic algorithms for the application to use in any environment and
  in any way it needs.
+ .
+ This package contains the symmetric and one-way cryptographic
+ algorithms. To avoid having this package depend on libgmp, the
+ asymmetric cryptos reside in a separate library, libhogweed.
 
 Package: libhogweed2
-Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: low level cryptographic library (public-key cryptos)
  Nettle is a cryptographic library that is designed to fit easily in more or
@@ -40,6 +47,10 @@
  doesn't do any memory allocation or I/O, it simply provides the
  cryptographic algorithms for the application to use in any environment and
  in any way it needs.
+ .
+ This package contains the asymmetric cryptographic algorithms, which,
+ require the GNU multiple precision arithmetic library (libgmp) for
+ their large integer computations.
 
 Package: nettle-dev
 Section: libdevel
@@ -67,7 +78,8 @@
 Section: misc
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libnettle1, lsh-utils (<< 2.0.4-dfsg-1)
+Breaks: lsh-utils (<< 2.0.4-dfsg-1)
+Replaces: lsh-utils (<< 2.0.4-dfsg-1)
 Suggests: lsh-doc
 Description: low level cryptographic library (binary tools)
  Nettle is a cryptographic library that is designed to fit easily in more or
@@ -84,11 +96,12 @@
  .
  This package contains binary utilities that accompany the library:
  .
-    - nettle-lfib-stream - generates a pseudorandom stream, using the Knuth 
-      lfib (non-cryptographic) pseudorandom generator.
+    - nettle-lfib-stream - generates a pseudo-random stream, using the Knuth 
+      lfib (non-cryptographic) pseudo-random generator.
     - sexp-conv - conversion tool for handling the different flavours of sexp
       syntax.
     - pkcs1-conv - converts PKCS#1 keys to sexp format.
+    - nettle-hash - command-line tool to compute message digests such as SHA-1.
 
 Package: nettle-dbg
 Section: debug
