=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH) 
 
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
   buildflags = --build=$(DEB_BUILD_GNU_TYPE)
@@ -28,7 +29,7 @@
 	dh_autotools-dev_updateconfig
 	./configure $(buildflags) \
 		    --prefix=/usr \
-		    --libdir=\$${prefix}/lib \
+		    --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 	            --enable-shared \
 	            --disable-dependency-tracking \
 	            CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS) -Wl,--as-needed"
@@ -85,7 +86,7 @@
 	dh_strip -a --dbg-package=nettle-dbg
 	dh_compress -a -X.pdf
 	dh_fixperms -a
-	dh_makeshlibs -a
+	dh_makeshlibs -a -V
 	dh_installdeb -a
 	dh_shlibdeps -a
 	dh_gencontrol -a
