=== debian/watch ===
version=3
ftp://ftp.lysator.liu.se/pub/security/lsh/nettle-(.*)\.tar\.gz
http://www.lysator.liu.se/~nisse/archive/nettle-(.*)\.tar\.gz
