## nettle 2.7.1

=== debian/changelog ===
nettle (2.7.1-1ubuntu0.2) trusty-security; urgency=medium

  * SECURITY UPDATE: RSA cache timing side-channel attack
    - debian/patches/CVE-2016-6489.patch: use mpz_powm_sec and check for
      invalid keys in dsa-sign.c, rsa-blind.c, rsa-pkcs1-sign-tr.c,
      rsa-pkcs1-sign.c, rsa-sign.c, rsa.c, testsuite/rsa-test.c,
      rsa-decrypt-tr.c, rsa-decrypt.c.
    - CVE-2016-6489

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 03 Feb 2017 08:40:39 -0500

nettle (2.7.1-1ubuntu0.1) trusty-security; urgency=medium

  * SECURITY UPDATE: miscomputation bugs in secp-256r1 modulo functions
    - debian/patches/CVE-2015-8803_8805.patch: fix carry propagation bugs
      in ecc-256.c.
    - CVE-2015-8803
    - CVE-2015-8805
  * SECURITY UPDATE: carry folding bug in x86_64 ecc_384_modp
    - debian/patches/CVE-2015-8804.patch: fix carry propagation bug in
      x86_64/ecc-384-modp.asm.
    - CVE-2015-8804

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 10 Feb 2016 13:34:57 -0500

nettle (2.7.1-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Magnus Holmgren <holmgren@debian.org>  Wed, 29 May 2013 19:25:35 +0200

nettle (2.7-2) unstable; urgency=low

  * Tag some (ECC related) symbols that only exist on some architectures.

 -- Magnus Holmgren <holmgren@debian.org>  Tue, 07 May 2013 22:57:14 +0200

nettle (2.7-1) unstable; urgency=low

  * New upstream release (Closes: #706081).
  * Include watch file improvements from Bart Martens <bartm@debian.org>
    via the QA system.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 04 May 2013 19:50:28 +0200

nettle (2.6-1) experimental; urgency=low

  * New upstream release.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 24 Mar 2013 11:38:21 +0100

nettle (2.5-1) experimental; urgency=low

  * New upstream release (Closes: #685855).
    - All symbols from nettle-internal.c have been dropped from the built
      library, and pkcs1_signature_prefix renamed with a leading underscore,
      without SONAME change, as they were all for internal use only.
  * debian/watch: Updated to handle -pre releases.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 25 Aug 2012 18:28:37 +0200

nettle (2.4-2) unstable; urgency=low

  * Drop README.source; not needed since the package was converted to
    format 3.0.
  * Correct errors in DEP 5-format debian/copyright.
  * Use dpkg-buildflags to set CFLAGS et al.
  * Bump Standards-Version to 3.9.3.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 23 Jun 2012 14:41:45 +0200
