=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: nettle
 Section: libs
 Priority: optional
-Maintainer: Magnus Holmgren <holmgren@debian.org>
-Build-Depends: debhelper (>= 8.1.3), libgmp10-dev, m4, autotools-dev (>= 20100122.1)
-Standards-Version: 3.9.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Magnus Holmgren <holmgren@debian.org>
+Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 8.1.3),
+ libgmp10-dev, m4, autotools-dev (>= 20100122.1)
+Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.kibibyte.se/nettle/trunk
 Vcs-Browser: http://svn.kibibyte.se/nettle
 Homepage: http://www.lysator.liu.se/~nisse/nettle/
