## nettle 3.1.1

=== debian/changelog ===
nettle (3.1.1-4ubuntu0.1) wily-security; urgency=medium

  * SECURITY UPDATE: miscomputation bugs in secp-256r1 modulo functions
    - debian/patches/CVE-2015-8803_8805.patch: fix carry propagation bugs
      in ecc-256.c.
    - CVE-2015-8803
    - CVE-2015-8805
  * SECURITY UPDATE: carry folding bug in x86_64 ecc_384_modp
    - debian/patches/CVE-2015-8804.patch: fix carry propagation bug in
      x86_64/ecc-384-modp.asm.
    - CVE-2015-8804

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 10 Feb 2016 13:20:47 -0500

nettle (3.1.1-4) unstable; urgency=low

  * multiarch_dev.patch (new): Remove compiler version info causing
    nettle-dev for different architectures to be incompatible with each
    other from nettle-stdint.h (Closes: #783699).
  * Rearrange debian/copyright to comply with the machine-readable format
    specification.

 -- Magnus Holmgren <holmgren@debian.org>  Mon, 03 Aug 2015 20:02:18 +0200

nettle (3.1.1-3) unstable; urgency=low

  * Switch libgmp10-dev Build-Depends to libgmp-dev (Closes: #783085).

 -- Magnus Holmgren <holmgren@debian.org>  Mon, 01 Jun 2015 23:57:24 +0200

nettle (3.1.1-2) experimental; urgency=low

  * Tag some more (ECC related) symbols that only exist on some
    architectures (implemented in assembly).

 -- Magnus Holmgren <holmgren@debian.org>  Fri, 15 May 2015 15:12:50 +0200

nettle (3.1.1-1) experimental; urgency=low

  * New upstream bugfix release.

 -- Magnus Holmgren <holmgren@debian.org>  Thu, 14 May 2015 11:51:00 +0200

nettle (3.1-1) experimental; urgency=low

  * New upstream release. New SONAMEs libnettle6 and libhogweed4.
  * Drop native_64bit_test_needs_limits_h.patch; incorporated upstream.
  * Bump Standards-Version to 3.9.6.
  * Merge changes from unstable (2.7.1-3 through 2.7.1-5) (Closes: #782266).

 -- Magnus Holmgren <holmgren@debian.org>  Tue, 14 Apr 2015 20:39:08 +0200

nettle (3.0-2) experimental; urgency=low

  * Tag a symbol that only exists on 64-bit architecture.
  * native_64bit_test_needs_limits_h.patch: Include limits.h in
    camellia-absorb.c; needed by the HAVE_NATIVE_64_BIT macro on at least
    s390x.
  * Add manpage for nettle-pbkdf2.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 05 Jul 2014 16:26:49 +0200

nettle (3.0-1) experimental; urgency=low

  * New major upstream release. To experimental for now. New SONAMEs
    libnettle5 and libhogweed3.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 08 Jun 2014 19:51:40 +0200

nettle (2.7.1-5) unstable; urgency=medium

  * Add code to transition /usr/share/doc/nettle-dbg from directory to
    symlink (Closes: #774919).
  * Also add missing Pre-Depends: multiarch-support to nettle-dbg.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 11 Jan 2015 20:27:20 +0100

nettle (2.7.1-4) unstable; urgency=medium

  * Use dh_installdocs --link-doc to create symlinks and add correct
    dependencies (Closes: #773022).
  * Bump Standards-Version to 3.9.6.
  * Add upstream PGP signing key.
  * Add GNU server URLs to watch file.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 21 Dec 2014 01:14:02 +0100

nettle (2.7.1-3) unstable; urgency=low

  * Use -fPIC instead of -fpic by default (Closes: #755769); needed on
    sparc64 and shouldn't be noticeable elsewhere.

 -- Magnus Holmgren <holmgren@debian.org>  Tue, 29 Jul 2014 17:20:39 +0200

nettle (2.7.1-2) unstable; urgency=low

  * libhogweed2.symbols: Tag some internal functions implementing
    operations not available in GMP before version 6.0 as optional
    (Closes: #743087).
  * Bump Standards-Version to 3.9.5.

 -- Magnus Holmgren <holmgren@debian.org>  Fri, 18 Apr 2014 21:02:56 +0200
