## nettle 3.2

=== debian/changelog ===
nettle (3.2-1) unstable; urgency=medium

  * New upstream release.
    * Includes fixes for CVE-2015-8803, CVE-2015-8804, and CVE-2015-8805
      (Closes: #813679).

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 06 Feb 2016 18:59:30 +0100
