=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: nettle
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Magnus Holmgren <holmgren@debian.org>
+Maintainer: Magnus Holmgren <holmgren@debian.org>
 Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 8.1.3),
- libgmp10-dev, m4, autotools-dev (>= 20100122.1)
-Standards-Version: 3.9.3
+ libgmp-dev, m4, autotools-dev (>= 20100122.1), texinfo
+Standards-Version: 3.9.6
 Vcs-Svn: svn://svn.kibibyte.se/nettle/trunk
 Vcs-Browser: http://svn.kibibyte.se/nettle
 Homepage: http://www.lysator.liu.se/~nisse/nettle/
 
-Package: libnettle4
+Package: libnettle6
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -32,7 +31,7 @@
  algorithms. To avoid having this package depend on libgmp, the
  asymmetric cryptos reside in a separate library, libhogweed.
 
-Package: libhogweed2
+Package: libhogweed4
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -57,7 +56,7 @@
 Package: nettle-dev
 Section: libdevel
 Architecture: any
-Depends: libnettle4 (= ${binary:Version}), libhogweed2 (= ${binary:Version}),
+Depends: libnettle6 (= ${binary:Version}), libhogweed4 (= ${binary:Version}),
          libgmp10-dev, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
 Replaces: libnettle-dev
 Conflicts: libnettle-dev
@@ -109,7 +108,7 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libnettle4 (= ${binary:Version}) | libhogweed2 (= ${binary:Version}) | nettle-bin (= ${binary:Version}), ${misc:Depends}
+Depends: libnettle6 (= ${binary:Version}) | libhogweed4 (= ${binary:Version}) | nettle-bin (= ${binary:Version}), ${misc:Depends}
 Description: low level cryptographic library (debugging symbols)
  Nettle is a cryptographic library that is designed to fit easily in more or
  less any context: In crypto toolkits for object-oriented languages (C++,
