=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 		    --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 	            --enable-shared \
 	            --disable-dependency-tracking \
-	            CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS) -Wl,--as-needed"
+	            $(shell DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed dpkg-buildflags --export=configure)
 
 
 build: build-stamp
@@ -77,9 +77,9 @@
 	dh_testdir
 	dh_testroot
 	dh_install -a --sourcedir=debian/tmp
-	dh_link -a
+	dh_installdocs -a -Nnettle-dev --link-doc=libnettle6
+	dh_installdocs -a -pnettle-dev
 	dh_installchangelogs -a ChangeLog
-	dh_installdocs -a
 	dh_installexamples -a
 	dh_installinfo -a
 	dh_installman -a
