## nettle 3.3

=== debian/changelog ===
nettle (3.3-2) unstable; urgency=low

  * multiarch_dev.patch: Replace definition of GMP_NUMB_BITS calculated by
    configure with the same calculation to be done at compile time (only
    used if this package would be rebuilt with --enable-mini-gmp).  Thus
    declare nettle-dev Multi-Arch: same (Closes: #856160).
  * Upgrade to Debhelper compat level 9.
  * Drop old style -dbg package and switch to automatically created
    -dbgsym packages. Since the old package was built with Debhelper level
    8 there are actually no file conflicts.
  * Declare nettle-bin Multi-Arch: foreign.
  * Bump Standards-Version to 4.1.0.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 10 Sep 2017 23:25:31 +0200

nettle (3.3-1) unstable; urgency=low

  * New upstream release.
    * Includes fix for CVE-2016-6489 - "RSA code is vulnerable to cache
      sharing related attacks" (Closes: #832983).
  * Include --raw option in nettle-hash(1) manpage (Closes: #808648).
  * Bump Standards-Version to 3.9.8.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 02 Oct 2016 18:44:03 +0200
