=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: libs
 Priority: optional
 Maintainer: Magnus Holmgren <holmgren@debian.org>
-Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 8.1.3),
+Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 9),
  libgmp-dev, m4, autotools-dev (>= 20100122.1), texinfo
-Standards-Version: 3.9.6
+Standards-Version: 4.1.0
 Vcs-Svn: svn://svn.kibibyte.se/nettle/trunk
 Vcs-Browser: http://svn.kibibyte.se/nettle
 Homepage: http://www.lysator.liu.se/~nisse/nettle/
@@ -56,6 +56,7 @@
 Package: nettle-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libnettle6 (= ${binary:Version}), libhogweed4 (= ${binary:Version}),
          libgmp10-dev, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
 Replaces: libnettle-dev
@@ -78,6 +79,7 @@
 Package: nettle-bin
 Section: misc
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: lsh-utils (<< 2.0.4-dfsg-1)
 Replaces: lsh-utils (<< 2.0.4-dfsg-1)
@@ -103,16 +105,3 @@
       syntax.
     - pkcs1-conv - converts PKCS#1 keys to sexp format.
     - nettle-hash - command-line tool to compute message digests such as SHA-1.
-
-Package: nettle-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: libnettle6 (= ${binary:Version}) | libhogweed4 (= ${binary:Version}) | nettle-bin (= ${binary:Version}), ${misc:Depends}
-Description: low level cryptographic library (debugging symbols)
- Nettle is a cryptographic library that is designed to fit easily in more or
- less any context: In crypto toolkits for object-oriented languages (C++,
- Python, Pike, ...), in applications like LSH or GNUPG, or even in kernel
- space.
- .
- This package contains the debugging symbols for all binary packages.
