=== debian/rules ===
--- 
+++ 
@@ -83,7 +83,7 @@
 	dh_installexamples -a
 	dh_installinfo -a
 	dh_installman -a
-	dh_strip -a --dbg-package=nettle-dbg
+	dh_strip -a
 	dh_compress -a -X.pdf
 	dh_fixperms -a
 	dh_makeshlibs -a -V
