## nettle 3.4

=== debian/changelog ===
nettle (3.4-1) unstable; urgency=low

  * New upstream release (Closes: #884013).
    * multiarch_dev.patch: no longer replace definition of GMP_NUMB_BITS;
      upstream changed it to "n/a" when mini-gmp isn't used.
  * debian/rules: Switch to dh_update_autotools_config.
  * Rename libnettle5.docs -> libnettle6.docs so that the NEWS and README
    files will be included again.
  * Bump Standards-Version to 4.1.2.

 -- Magnus Holmgren <holmgren@debian.org>  Tue, 12 Dec 2017 19:27:18 +0100
