=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: libs
 Priority: optional
 Maintainer: Magnus Holmgren <holmgren@debian.org>
-Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 9),
- libgmp-dev, m4, autotools-dev (>= 20100122.1), texinfo
-Standards-Version: 4.1.0
+Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 9.20160114),
+ libgmp-dev, m4, texinfo
+Standards-Version: 4.1.2
 Vcs-Svn: svn://svn.kibibyte.se/nettle/trunk
 Vcs-Browser: http://svn.kibibyte.se/nettle
 Homepage: http://www.lysator.liu.se/~nisse/nettle/
