=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 config.status: configure
 	dh_testdir
 	# Add here commands to configure the package.
-	dh_autotools-dev_updateconfig
+	dh_update_autotools_config
 	./configure $(buildflags) \
 		    --prefix=/usr \
 		    --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
@@ -54,7 +54,6 @@
 
 	# Add here commands to clean up after the build process.
 	[ ! -f Makefile ] || $(MAKE) distclean
-	dh_autotools-dev_restoreconfig
 	dh_clean
 
 install: build
