## nettle 3.4.1~rc1

=== debian/changelog ===
nettle (3.4.1~rc1-1) unstable; urgency=low

  * New upstream release (Closes: #915276).

 -- Magnus Holmgren <holmgren@debian.org>  Tue, 04 Dec 2018 21:04:39 +0100
