=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nettle
 Section: libs
 Priority: optional
-Maintainer: Magnus Holmgren <holmgren@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Magnus Holmgren <holmgren@debian.org>
 Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 9.20160114),
  libgmp-dev, m4, texinfo
 Standards-Version: 4.1.2
