## nettle 3.4.1.2

=== debian/changelog ===
nettle (3.4.1.2-1) unstable; urgency=medium

  * update

 -- Magnus Holmgren <holmgren@debian.org>  Thu, 01 Jul 2021 10:53:56 +0800

nettle (3.4.1.1-1) unstable; urgency=low

  * Update dependent version.
  * 

 -- liuxin <liuxin@uniontech.com>  Tue, 30 Mar 2021 10:34:10 +0800

nettle (3.4.1-1) unstable; urgency=low

  * Final upstream release (identical to RC1).

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 26 Jan 2019 13:19:09 +0100
