## nettle 3.5.1+really3.5.1

=== debian/changelog ===
nettle (3.5.1+really3.5.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Magnus Holmgren <holmgren@debian.org>  Thu, 24 Oct 2019 21:29:22 +0200

nettle (3.5.1+really3.5.1-1) experimental; urgency=low

  * Upload 3.5.1 to experimental (Closes: #933266).
  * Correctly mark architecture-specific symbols this time.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 07 Sep 2019 17:18:16 +0200

nettle (3.5.1+really3.4.1-1) unstable; urgency=low

  * Revert to 3.4.1 to acquire a transition slot (Closes: #938959). Not
    building with --enable-fat either because symbol differences between
    platforms need to be checked.

 -- Magnus Holmgren <holmgren@debian.org>  Fri, 30 Aug 2019 21:37:04 +0200

nettle (3.5.1-1) unstable; urgency=low

  * New upstream release (Closes: #933266). New SONAMEs libnettle7 and
    libhogweed5.
  * Drop multiarch_dev.patch; not needed because no stdint header is
    generated anymore.
  * Try building with --enable-fat (Closes: #861632).
  * Change libgmp10-dev build dependency to libgmp-dev, which has been the
    real package name since 2011.
  * Override lintian warning about -lgmp in hogweed.pc (it's after a #).

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 24 Aug 2019 22:01:56 +0200
