=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: nettle
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Magnus Holmgren <holmgren@debian.org>
+Maintainer: Magnus Holmgren <holmgren@debian.org>
 Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 9.20160114),
  libgmp-dev, m4, texinfo
 Standards-Version: 4.1.2
@@ -10,7 +9,7 @@
 Vcs-Browser: http://svn.kibibyte.se/nettle
 Homepage: http://www.lysator.liu.se/~nisse/nettle/
 
-Package: libnettle6
+Package: libnettle7
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -32,7 +31,7 @@
  algorithms. To avoid having this package depend on libgmp, the
  asymmetric cryptos reside in a separate library, libhogweed.
 
-Package: libhogweed4
+Package: libhogweed5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -58,8 +57,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libnettle6 (= ${binary:Version}), libhogweed4 (= ${binary:Version}),
-         libgmp10-dev, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Depends: libnettle7 (= ${binary:Version}), libhogweed5 (= ${binary:Version}),
+         libgmp-dev, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
 Replaces: libnettle-dev
 Conflicts: libnettle-dev
 Description: low level cryptographic library (development files)
