=== debian/rules ===
--- 
+++ 
@@ -76,12 +76,13 @@
 	dh_testdir
 	dh_testroot
 	dh_install -a --sourcedir=debian/tmp
-	dh_installdocs -a -Nnettle-dev --link-doc=libnettle6
+	dh_installdocs -a -Nnettle-dev --link-doc=libnettle7
 	dh_installdocs -a -pnettle-dev
 	dh_installchangelogs -a ChangeLog
 	dh_installexamples -a
 	dh_installinfo -a
 	dh_installman -a
+	dh_lintian -a
 	dh_strip -a
 	dh_compress -a -X.pdf
 	dh_fixperms -a
