## nettle 3.6

=== debian/changelog ===
nettle (3.6-2ubuntu0.2) groovy-security; urgency=medium

  * SECURITY UPDATE: crash in RSA decryption via manipulated ciphertext
    - debian/patches/CVE-2021-3580-1.patch: change _rsa_sec_compute_root_tr
      to take a fixed input size in rsa-decrypt-tr.c, rsa-internal.h,
      rsa-sec-decrypt.c, rsa-sign-tr.c, testsuite/rsa-encrypt-test.c.
    - debian/patches/CVE-2021-3580-2.patch: add input check to rsa_decrypt
      family of functions in rsa-decrypt-tr.c, rsa-decrypt.c,
      rsa-sec-decrypt.c, rsa.h, testsuite/rsa-encrypt-test.c.
    - CVE-2021-3580

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 14 Jun 2021 09:18:18 -0400

nettle (3.6-2ubuntu0.1) groovy-security; urgency=medium

  * SECURITY UPDATE: Out of Bound memory access in signature verification
    - debian/patches/CVE-2021-20305-1.patch: new functions
      ecc_mod_mul_canonical and ecc_mod_sqr_canonical in
      curve25519-eh-to-x.c, curve448-eh-to-x.c, ecc-eh-to-a.c,
      ecc-internal.h, ecc-j-to-a.c, ecc-mod-arith.c, ecc-mul-m.c.
    - debian/patches/CVE-2021-20305-2.patch: use ecc_mod_mul_canonical for
      point comparison in eddsa-verify.c.
    - debian/patches/CVE-2021-20305-3.patch: fix bug in ecc_ecdsa_verify in
      ecc-ecdsa-verify.c, testsuite/ecdsa-sign-test.c.
    - debian/patches/CVE-2021-20305-4.patch: ensure ecdsa_sign output is
      canonically reduced in ecc-ecdsa-sign.c.
    - debian/patches/CVE-2021-20305-5.patch: analogous fix to
      ecc_gostdsa_verify in ecc-gostdsa-verify.c.
    - debian/patches/CVE-2021-20305-6.patch: similar fix for eddsa in
      eddsa-hash.c.
    - debian/patches/CVE-2021-20305-7.patch: fix canonical reduction in
      gostdsa_vko in gostdsa-vko.c.
    - debian/libhogweed6.symbols: added new symbols.
    - CVE-2021-20305

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 06 Apr 2021 11:57:28 -0400

nettle (3.6-2) unstable; urgency=low

  * Upload to unstable.
  * Convert version control to git and move to salsa.debian.org.

 -- Magnus Holmgren <holmgren@debian.org>  Wed, 15 Jul 2020 14:12:59 +0200

nettle (3.6-1) experimental; urgency=low

  * New upstream release (Closes: #959441). Upload to experimental. New
    SONAMEs libnettle8 and libhogweed6. Thanks to Andreas Metzler.
  * Only symlink docdir for nettle-bin, allowing future independent
    library sonames bumps of nettle and hogweed (Closes: #956524).
  * Drop -Wl,--as-needed linker flag; used by default by bullseye
    toolchain.
  * Convert to dh format and upgrade to compat level 12
  * Drop unnecessary configure flags --enable-shared (enabled by default) and
    --disable-dependency-tracking (only relevant to BSD Make) and makeinfo
    flag --enable-encoding (enabled by default now).
  * No longer exclude *.pdf from dh_compress.
  * Build with --enable-fat, this time hopefully with the right symbol
    architecture tags.
  * Update debian/copyright.
  * Drop lintian override.

 -- Magnus Holmgren <holmgren@debian.org>  Mon, 11 May 2020 01:34:26 +0200
