## nettle 3.7

=== debian/changelog ===
nettle (3.7-2.1ubuntu1) hirsute; urgency=medium

  * SECURITY UPDATE: Out of Bound memory access in signature verification
    - debian/patches/CVE-2021-20305-1.patch: new functions
      ecc_mod_mul_canonical and ecc_mod_sqr_canonical in
      curve25519-eh-to-x.c, curve448-eh-to-x.c, ecc-eh-to-a.c,
      ecc-internal.h, ecc-j-to-a.c, ecc-mod-arith.c, ecc-mul-m.c.
    - debian/patches/CVE-2021-20305-2.patch: use ecc_mod_mul_canonical for
      point comparison in eddsa-verify.c.
    - debian/patches/CVE-2021-20305-3.patch: fix bug in ecc_ecdsa_verify in
      ecc-ecdsa-verify.c, testsuite/ecdsa-sign-test.c.
    - debian/patches/CVE-2021-20305-4.patch: ensure ecdsa_sign output is
      canonically reduced in ecc-ecdsa-sign.c.
    - debian/patches/CVE-2021-20305-5.patch: analogous fix to
      ecc_gostdsa_verify in ecc-gostdsa-verify.c.
    - debian/patches/CVE-2021-20305-6.patch: similar fix for eddsa in
      eddsa-hash.c.
    - debian/patches/CVE-2021-20305-7.patch: fix canonical reduction in
      gostdsa_vko in gostdsa-vko.c.
    - debian/libhogweed6.symbols: added new symbols.
    - CVE-2021-20305

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 06 Apr 2021 11:20:32 -0400

nettle (3.7-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix chacha breakage on ppc64(el). Closes: #982482
    + 0001-Improve-chacha-test-coverage.patch
    + 0002-Fix-chacha-counter-update-for-_4core-variants.patch

 -- Andreas Metzler <ametzler@debian.org>  Sat, 13 Feb 2021 08:34:20 +0100

nettle (3.7-2) unstable; urgency=low

  * Adjust libnettle8.symbols.

 -- Magnus Holmgren <holmgren@debian.org>  Mon, 01 Feb 2021 00:01:59 +0100

nettle (3.7-1) unstable; urgency=low

  * New upstream release.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 31 Jan 2021 18:47:26 +0100
