## nettle 3.7.2

=== debian/changelog ===
nettle (3.7.2-3) unstable; urgency=medium

  * libnettle8.symbols: Drop two more (internal) symbols from armel and
    armhf.

 -- Magnus Holmgren <holmgren@debian.org>  Mon, 05 Apr 2021 20:49:56 +0200

nettle (3.7.2-2) unstable; urgency=medium

  * libnettle8.symbols: Drop two ARM-specific symbols after the ARM Neon
    assembly code for doing single-block Salsa20 and Chacha was deleted.
  * Mention bug and CVE numbers in previos changelog entry.

 -- Magnus Holmgren <holmgren@debian.org>  Mon, 05 Apr 2021 19:48:52 +0200

nettle (3.7.2-1) unstable; urgency=medium

  [ Andreas Metzler ]
  * New upstream version, fixing a bug in ECDSA signature verification that
    could lead to a denial of service attack (via an assertion failure) or
    possibly incorrect results (CVE-2021-20305) (Closes: #985652).
    + Drop cherry-picked patches added in previous upload.
    + Update copyright file.

  [ Magnus Holmgren ]
  * Update symbol files.

 -- Magnus Holmgren <holmgren@debian.org>  Fri, 02 Apr 2021 23:35:53 +0200
